Subject: bug#35219: 27.0.50; Problems with nnimap groups with non-ASCII characters

From: Eric Abrahamsen <[email-masked]>
Date: Thu, 18 Apr 2019 12:48:42 -0700

Andy Moreton <[email-masked]> writes:

> On Thu 18 Apr 2019, Eric Abrahamsen wrote:
>
>> Eric Abrahamsen <[email-masked]> writes:
>>
>>> Eric Abrahamsen <[email-masked]> writes:
>>>
>>>> Lars Ingebrigtsen <[email-masked]> writes:
>>>>
>>>>> This started showing up yesterday after recent changes in Gnus:
>>>>>
>>>>> To reproduce: Create an nnimap group called "Tést".  Restarting Gnus
>>>>> will properly create the group "Tést", but Gnus will also say
>>>>>
>>>>> nnimap read 12k from quimby.gnus.org (initial sync of 3 groups; please wait)
>>>>>
>>>>> If you then quit Gnus and restart Gnus, this group will appear:
>>>>>
>>>>>        *: nnimap+quimby.gnus.org:T\351st
>>>>>
>>>>> If you try to kill it, all the groups in the buffer will disappear.
>>>>>
>>>>> So something went wrong during whatever the most recent group-related
>>>>> changes were.  :-)
>>>>
>>>> Gaah... I've got a pile of tests in place for exactly this! Give me a
>>>> bit and I'll try to reproduce.
>>>
>>> Lars, would you give this a shot? I should only have been messing with
>>> encoding for group names that were coming from symbols.
>>
>> This may not be the full solution (though I think it is), but it's
>> definitely a necessary part. I'm going to push this first so more people
>> don't end up with corrupted .newsrc.eld files, and then see where we're at.
>
> I see a similar symptom, but with a different recipe:
>  - start Gnus
>  - open the server buffer, select a server, and subscribe to a new group
>  - quit the server buffer
>  - in the group buffer, kill the group line for the new group
> At this point, emacs is busy but unresponsive. Breaking in with ^G
> results in emacs becoming responsive agin, but all of the group lines
> disappear from the group buffer.
>
> Something is still not quite right.

I'm not able to reproduce that, using a nntp group from gmane -- can you
give me more detail about how you trigger it?

Unfortunately, the last round of changes might have left some cruft in
your .newsrc.eld file, if you had groups with non-ascii names. If you've
got some of that cruft in your group list, I suppose it's possible that
trying to kill a group might enter some sort of loop...